{% load i18n %}
<!-- ko if: loading() === false -->
<div class="final-step">
    <div class="afs-final-step-section">
        <h5 class="summary-value">{% trans 'Created Resource Instance(s)' %}</h5>
        <div class="afs-final-step-block">
            <div style="display: flex; flex-direction: column;">
                <a data-bind="attr: { href: urls.resource + '/' + resourceid}" target="_blank">
                    <div class="summary-value" 
                        data-bind = "text: displayName + ' ({% trans 'Digital Resource Instance' %})'">
                    </div>
                </a>
                <!-- <a data-bind="attr: { href: urls.resource + '/' + collectionResourceId}" target="_blank">
                    <div class="summary-value" 
                        data-bind = "text: reportVals.collection.value + ' ({% trans 'Collection Resource Instance' %})'">
                    </div>
                </a> -->
            </div>
        </div>
    </div>
    <!-- ko if: provisional === true -->
    <div class="afs-final-step-section">
        <h5 class="summary-value">{% trans 'Important Note' %}</h5>
        <div class="afs-final-step-block text-danger">
            This deposit is considered provisional until an admin user reviews and confirms all details, by re-saving the fields.
        </div>
    </div>
    <!-- /ko -->
    <div class="afs-final-step-section">
        <h5 class="summary-value">{% trans 'Digital Resource Details' %}</h5>
        <div class="afs-final-step-block">
            <div style="display: flex; flex-direction: column;">
                <div style="display: inline-flex;">
                    <div class="summary-label" data-bind="text: reportVals.DRName.name + ':'"></div>
                    <div class="summary-value" data-bind="text: reportVals.DRName.value"></div>
                </div>
                <div style="display: inline-flex;">
                    <div class="summary-label" data-bind="text: reportVals.DRStatement.name + ':'"></div>
                    <div class="summary-value" data-bind="html: reportVals.DRStatement.value"></div>
                </div>
                <div style="display: inline-flex;">
                    <div class="summary-label" data-bind="text: reportVals.DRInterpretation.name + ':'"></div>
                    <div class="summary-value" data-bind="text: reportVals.DRInterpretation.value"></div>
                </div>
                <div style="display: inline-flex;">
                    <div class="summary-label" data-bind="text: reportVals.DRPurpose.name + ':'"></div>
                    <div class="summary-value" data-bind="text: reportVals.DRPurpose.value"></div>
                </div>
                <div style="display: inline-flex;">
                    <div class="summary-label" data-bind="text: reportVals.DRType.name + ':'"></div>
                    <div class="summary-value" data-bind="text: reportVals.DRType.value"></div>
                </div>
            </div>
        </div>
    </div>

    <div class="afs-final-step-section">
        <h5 class="summary-value">{% trans 'Related Projects' %}</h5>
        <div class="afs-final-step-block">
            <div style="display: flex; flex-direction: column;">
                <div style="display: inline-flex;">
                    <a data-bind="attr: { href: urls.resource + '/' + reportVals.relatedProjectResourceId.value}" target="_blank">
                        <div class="summary-value" 
                            data-bind = "text: displayName + ' ({% trans 'Project Instance' %})'">
                        </div>
                    </a>
                </div>
            </div>
        </div>
    </div>

</div>
<!-- /ko -->
